<?php
/*------------------------------------------------------+
| PHP-Fusion Content Management System                  |
| Copyright (C) 2002 - 2010 Nick Jones                  |
| http://www.php-fusion.co.uk/                          |
+-------------------------------------------------------+
| This program is released as free software under the   |
| Affero GPL license. You can redistribute it and/or    |
| addonify it under the terms of this license which you |
| can read by viewing the included agpl.txt or online   |
| at http://www.gnu.org/licenses/agpl.html.             |
| Removal of this copyright header is strictly          |
| prohibited without written permission from the        |
| original author(s).                                   |
+------------------------------------------------------*/
/*------------------------------------------------------+
|         Multicolor for PHP-Fusion v7                  |
+-------------------------------------------------------+
| Filename: theme.php                                  |
| Author: Faga                                          |
| Homepage: http://osthemes.org                         |
+-------------------------------------------------------+
| This theme is released under the terms and conditions |
| of the GNU Affero GPL v3.                             |
+------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "<span class='bullet'>&middot;</span>");
define("THEME_BULLET2", "");
$enable_colour_switcher = true; 
if (!defined("IN_FUSION")) { die("Access Denied"); }
require_once INCLUDES."theme_functions_include.php";
require_once THEMES."templates/switcher.php";
$colour_switcher = new Switcher("select", "colour", "png", "gray", "switcherbutton");
if(!$enable_colour_switcher){
	$colour_switcher->disable();
}
redirect_img_dir(THEME."forum", THEME."forum/".$colour_switcher->selected);
function get_head_tags(){
	global $colour_switcher;
	echo $colour_switcher->makeHeadTag();
	echo "<!--[if lte IE 7]><style type='text/css'>.clearfix {display:inline-block;} * html .clearfix{height: 1px;}#subheader ul {display:inline-block;}#subheader ul {display:inline;}#subheader ul li {float:left;}</style><![endif]-->";
}
function render_page($license=false) {
	global $aidlink, $locale, $settings, $colour_switcher, $fontsize_switcher, $column_switcher, $main_style;
	

	//Header
	echo "<table  align='center' cellpadding='0' cellspacing='0' width='1100'>\n";
  	echo "<tr>\n";
	echo "<td width='50'>\n</td>\n<td>\n";
	echo "<table class='full-header' align='center' cellpadding='0' cellspacing='0' width='100%'>\n";  
  	echo "<tr>\n";
    echo "<td colspan='5' class='banner-top'>".showbanners()."</td>\n";
	echo "<td align='right'>\n";
	echo "<div id='switcher' class='flright'>".$colour_switcher->makeForm("flright")."</div>\n";
	echo "</td>\n</tr>\n";
	echo "<tr>\n<td class='sub-header-left'></td>\n";
	echo "<td class='sub-header' width='100%'>".showsublinks(" ".THEME_BULLET2." ", "")."</td>\n";
	echo "<td class='sub-header-right'></td>\n";
	echo "<td class='sub-header-left'></td>\n";
	echo "<td class='sub-header-right'></td>\n";
    echo "<td align='center' class='sub-header2'>".showsubdate()."</td>\n</tr>\n</table>\n";
	
	//Content
	echo "<table align='center' cellpadding='0' cellspacing='0' width='100%' class='$main_style'>\n<tr>\n";
	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
	echo "</tr>\n</table>\n";
	
	//Footer copyright (Do not EDIT this part)
	echo "<table class='main-footer' align='center' cellpadding='0' cellspacing='0' width='100%'>\n";
  	echo "<tr>\n";
    echo "<td colspan='2' align='left'>".showcopyright()."</td>\n";
	echo "<td colspan='2' align='right' class='copyright-footer' >".stripslashes($settings['footer']);
	if (!$license)
	echo "</td>\n";
  	echo "</tr>\n";
  	echo "<tr>\n";
    echo "<td align='left' class='ost-footer'>Theme by <a href='http://www.osthemes.org' target='_blank'>OSThemes.org</a></td>\n";
    echo "<td colspan='2' align='center' class='visits-footer'>".showcounter()."</td>\n";
    echo "<td align='right'>".sprintf($locale['global_172'], substr((get_microtime() - START_TIME),0,4))."</td>\n";
  	echo "</tr>\n";
	echo "</table>\n";
	echo "</td>\n";
	echo "<td width='50'>\n";
	echo "</td>\n";
	echo "</tr>\n";
	echo "</table>\n";
}
	//News
function render_news($subject, $news, $info) {
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' >\n";
	echo "<tr>\n";
    echo "<td colspan='3' class='main-body middle-border'>".$news."</td>\n";
 	echo "</tr>\n";
	echo "<tr>\n";
    echo "<td colspan='3' align='center' class='news-footer middle-border'>\n";
	echo newsposter($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</td>\n</tr>\n";
	echo "</table>\n";
	


}
	//Article
function render_article($subject, $article, $info) {
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' >\n";
	echo "<tr>\n";
    echo "<td colspan='3'class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
 	echo "</tr>\n";
	echo "<tr>\n";
    echo "<td colspan='3' align='center' class='news-footer middle-border'>\n";
	echo articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n</tr>\n";
	echo "</table>\n";
	


}
	//Opentable center
function opentable($title) {
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'>".$title."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' >\n";
		echo "<tr>\n";
    echo "<td colspan='3' class='main-body'>\n";
}
	//Clodetable center
function closetable() {
	echo "</td>\n";
 	echo "</tr>\n";
	echo "</table>\n";
	


}
//Openside
function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' width='100%' >\n";
	echo "<tr>\n";
   	echo "<td class='scapmain-left'></td>\n";
   	echo "<td class='scapmain'>$title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
	echo "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
  	echo "<td class='scapmain-right'></td>\n";
 	echo "</tr>\n";
	echo "</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' >\n";
	echo "<tr>\n";
    echo "<td colspan='3' class='side-body'>\n";
	if ($collapse == true) { echo panelstate($state, $boxname); }

}
	//Closedise
function closeside($state = "on") {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	

	echo "</td>\n";
 	echo "</tr>\n";
	echo "</table>\n";

}


?>